/*
 * menu.h - menu header.
 *
 * $Id: menu.h 30 2006-02-09 15:29:48Z brendan $
 *
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License, Version 1.0 only
 * (the "License").  You may not use this file except in compliance
 * with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 *
 * COPYRIGHT: Copyright (c) 2006 Brendan Gregg.
 *
 * 29-Jan-2006  Brendan Gregg   Created this
 */

#ifndef MENU_H
#define	MENU_H

#include <gtk/gtk.h>

#include "dtaz.h"
#include "colours.h"
#include "dtrace.h"

/* maximum option values */
#define	MENU_RESOLUTION_MAX	16
#define	MENU_COLOUR_FACTOR_MAX	64
#define	MENU_UPDATE_TIME_MAX	10000

/* create main menu */
extern void	menu_create_main(GtkWidget *, GtkWidget **);

/* options dialog */
extern void	menu_options(gpointer, guint, GtkWidget *);

/* options help dialog */
extern void	menu_options_help(GtkWidget *);

/* globals we modify */
extern int	dt_resolution;
extern int	dt_colour_factor;

/* save file header */
typedef struct menu_save_hdr {
	char		header[16];
	int		endian;
	int		version;
	int		resolution;
	int		colour_factor;
	int		update;
	int		time;
	int		current_x;
	int		plot_max_x;
	int		plot_max_y;
	int		seek_max_x;
	int		seek_max_y;
	uint64_t	plot_max_raw;
	enum dt_script	script;
	enum dt_scale	scale;
	enum c_pallet	pallet;
	int		padding[4];
} menu_save_hdr_t;


#endif /* MENU_H */
