/*
 * plot.h - plot header.
 *
 * $Id: plot.h 24 2006-02-08 14:00:01Z brendan $
 *
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License, Version 1.0 only
 * (the "License").  You may not use this file except in compliance
 * with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 *
 * COPYRIGHT: Copyright (c) 2006 Brendan Gregg.
 *
 * 29-Jan-2006  Brendan Gregg   Created this
 */

#ifndef PLOT_H
#define	PLOT_H

#include <gtk/gtk.h>

/* get index location for a block address */
extern int	plot_get_index(long long);

/* get bucket location for an index */
extern int	plot_get_bucket(int, int);

/* get a seek location for a block address */
extern uint	plot_get_seek_loc(long long, int);

/* clear the plot screens */
extern void	plot_new_screen(void);

#endif /* PLOT_H */
